Go to the latest version of this document.

# ``twisted`.`web`.`resource`.`_IEncodingResource``

interface documentation

`class _IEncodingResource(Interface): (source)`

Known implementations: `twisted.web.resource.EncodingResourceWrapper`

View In Hierarchy

A resource which knows about `_IRequestEncoderFactory`.

Present Since
12.3

Method | `getEncoder` | Parse the request and return an encoder if applicable, using `_IRequestEncoderFactory.encoderForRequest`.

def getEncoder(request): (source)

Parse the request and return an encoder if applicable, using `_IRequestEncoderFactory.encoderForRequest`.

Returns
A `_IRequestEncoder`, or `None`.